Schedules
Get a schedule
Retrieves the specified schedule resource.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Parametry cesty
id
string
vyžadováno
Identifier of the schedule.
Parametry záhlaví
Foundry-Features
enum
vyžadováno
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Odpovědi
The request has succeeded.
Text
id
string
vyžadováno
Identifier of the schedule.
displayName
string
Name of the schedule.
description
string
Description of the schedule.
enabled
boolean
vyžadováno
Enabled status of the schedule.
provisioningStatus
string | enum
Schedule provisioning status.
enum
trigger
Cron | Recurrence | OneTime
vyžadováno
Base model for Trigger of the schedule.
Cron
CronTrigger
Cron based trigger.
type
enum
vyžadováno
expression
string
vyžadováno
Cron expression that defines the schedule frequency.
timeZone
string
Time zone for the cron schedule. Defaults to UTC.
startTime
string
Start time for the cron schedule in ISO 8601 format.
endTime
string
End time for the cron schedule in ISO 8601 format.
Recurrence
RecurrenceTrigger
Recurrence based trigger.
type
enum
vyžadováno
Type of the trigger.
startTime
string
Start time for the recurrence schedule in ISO 8601 format.
endTime
string
End time for the recurrence schedule in ISO 8601 format.
timeZone
string
Time zone for the recurrence schedule. Defaults to UTC.
interval
integer
vyžadováno
Interval for the recurrence schedule.
schedule
Hourly | Daily | Weekly | Monthly
vyžadováno
Recurrence schedule model.
Hourly
HourlyRecurrenceSchedule
Hourly recurrence schedule.
type
enum
vyžadováno
Daily
DailyRecurrenceSchedule
Daily recurrence schedule.
type
enum
vyžadováno
Daily recurrence type.
hours
integer[]
vyžadováno
Hours for the recurrence schedule.
Weekly
WeeklyRecurrenceSchedule
Weekly recurrence schedule.
type
enum
vyžadováno
Weekly recurrence type.
daysOfWeek
DayOfWeek[]
vyžadováno
Days of the week for the recurrence schedule.
Monthly
MonthlyRecurrenceSchedule
Monthly recurrence schedule.
type
enum
vyžadováno
Monthly recurrence type.
daysOfMonth
integer[]
vyžadováno
Days of the month for the recurrence schedule.
OneTime
OneTimeTrigger
One-time trigger.
type
enum
vyžadováno
triggerAt
string
vyžadováno
Date and time for the one-time trigger in ISO 8601 format.
timeZone
string
Time zone for the one-time trigger. Defaults to UTC.
task
Evaluation | Insight
vyžadováno
Schedule task model.
Evaluation
EvaluationScheduleTask
Evaluation task for the schedule.
type
enum
vyžadováno
evalId
string
vyžadováno
Identifier of the evaluation group.
evalRun
object
vyžadováno
The evaluation run payload.
Insight
InsightScheduleTask
Insight task for the schedule.
type
enum
vyžadováno
insight
Insight
vyžadováno
The response body for cluster insights.
id
string
vyžadováno
The unique identifier for the insights report.
metadata
InsightsMetadata
vyžadováno
Metadata about the insights.
createdAt
string
vyžadováno
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
vyžadováno
Enum describing allowed operation states.
enum
displayName
string
vyžadováno
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
vyžadováno
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
vyžadováno
The type of insights request.
evalId
string
vyžadováno
Evaluation Id for the insights.
runIds
string[]
vyžadováno
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
vyžadováno
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
vyžadováno
The type of request.
agentName
string
vyžadováno
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
vyžadováno
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
vyžadováno
The type of request.
evalId
string
vyžadováno
Identifier for the evaluation.
baselineRunId
string
vyžadováno
The baseline run ID for comparison.
treatmentRunIds
string[]
vyžadováno
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
vyžadováno
The type of insights result.
comparisons
EvalRunResultComparison[]
vyžadováno
Comparison results for each treatment run against the baseline.
method
string
vyžadováno
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
vyžadováno
The type of insights result.
clusterInsight
ClusterInsightResult
vyžadováno
Insights from the cluster analysis.
summary
InsightSummary
vyžadováno
Summary of the error cluster analysis.
sampleCount
integer
vyžadováno
Total number of samples analyzed.
uniqueSubclusterCount
integer
vyžadováno
Total number of unique subcluster labels.
uniqueClusterCount
integer
vyžadováno
Total number of unique clusters.
method
string
vyžadováno
Method used for clustering.
usage
ClusterTokenUsage
vyžadováno
Token usage for cluster analysis
inputTokenUsage
integer
vyžadováno
input token usage
outputTokenUsage
integer
vyžadováno
output token usage
totalTokenUsage
integer
vyžadováno
total token usage
clusters
InsightCluster[]
vyžadováno
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
vyžadováno
X-axis coordinate.
y
integer
vyžadováno
Y-axis coordinate.
size
integer
vyžadováno
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
vyžadováno
The type of insights result.
clusterInsight
ClusterInsightResult
vyžadováno
Insights from the cluster analysis.
summary
InsightSummary
vyžadováno
Summary of the error cluster analysis.
sampleCount
integer
vyžadováno
Total number of samples analyzed.
uniqueSubclusterCount
integer
vyžadováno
Total number of unique subcluster labels.
uniqueClusterCount
integer
vyžadováno
Total number of unique clusters.
method
string
vyžadováno
Method used for clustering.
usage
ClusterTokenUsage
vyžadováno
Token usage for cluster analysis
inputTokenUsage
integer
vyžadováno
input token usage
outputTokenUsage
integer
vyžadováno
output token usage
totalTokenUsage
integer
vyžadováno
total token usage
clusters
InsightCluster[]
vyžadováno
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
vyžadováno
X-axis coordinate.
y
integer
vyžadováno
Y-axis coordinate.
size
integer
vyžadováno
Size of the chart element.
tags
object
Schedule's tags. Unlike properties, tags are fully mutable.
properties
object
Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
systemData
object
vyžadováno
System metadata for the resource.
Žádost
GET /schedules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json